/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: SearchCondition.java,v 1.3 2005/05/31 14:38:19 rampil Exp $
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索条件
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class SearchCondition extends Element {
	/** 表示開始カウント */
	private int startp;
	/** 検索結果の表示閾値 */
	private int dispnum;

	/**
	 * デフォルトコンストラクタ
	 * このオブジェクトをルート要素として初期化する
	 */
	public SearchCondition() {
		this(TYPE_AND);
	}
	/**
	 * コンストラクタ
	 * @param t タイプ
	 */
	public SearchCondition(int t) {
		super(t);
	}
	/**
	 * 表示開始位置を返す
	 * @return 表示開始位置
	 */
	public int getStartp() {
		return startp;
	}

	/**
	 * 表示閾値を返す
	 * @return 表示閾値
	 */
	public int getDispnum() {
		return dispnum;
	}

	/**
	 * 表示開始位置を設定する
	 * @param i 表示開始位置
	 */
	public void setStartp(int i) {
		startp = i;
	}

	/**
	 * 表示閾値を設定する
	 * @param i 表示閾値
	 */
	public void setDispnum(int i) {
		dispnum = i;
	}

}
